Subject: Re: Installed Cygwin 1.7 - no X?
From: Lloyd Wood <[email-masked]>
To: Lloyd Wood <[email-masked]>
Cc: [email-masked]
Date: Wed, 8 Jul 2009 10:42:22 +0100
List-Id: <cygwin.cygwin.com>

Aha, selecting X11/X-start-menu-icons pulled in all the missing X  
dependencies
that I hadn't noticed were turned off.

(The new start menu icon has an X logo, is called 'idle', shows the  
yellow
hover text 'Python IDE', and when clicked generates the alert 'Error:
could not start C:\cygwin\bin\idle -display 127.0.0.1:0.0'. But
startxwin.bat works as you'd expect.)

On 7 Jul 2009, at 17:08, Lloyd Wood wrote:

> Installed Cygwin 1.7 beta on a new clean machine - figured I may as  
> well
> get with the 1.7 program. Let it install all defaults plus a few  
> packages
> I knew I'd need. Added to default list, didn't remove anything.
> Installed on C:\cygwin under Windows XP SP2.
>
> How to start X? No XWin Server icon in menu. Just the cygwin shell
> server on desktop. No /usr/bin/startxwin.bat script. No /usr/bin/ 
> Xwin.exe.
> And no xinit, which I thought was how X 7.4 got started.
>
> /usr/include/X11 has header files. /usr/lib/X11 is pretty much empty,
> bar the config/ dir.
>
> Looked in /usr/bin/X11R6. Nothing there bar run.exe. Which figures,
> since that should be history with the 7.4 install. But why is run.exe
> there as well as in /usr/bin?
>
> Went through new FAQ and userguide and changes/features. No help.
>
> Did the beta munge the X install?
>
> thanks,
>
> L.

<http://info.surrey.ac.uk/Personal/L.Wood/><[email-masked]>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple